<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:background="@drawable/shape_8round_white"
    android:layout_marginTop="@dimen/dp_12"
    >

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_27"
            android:layout_marginLeft="@dimen/dp_23"
            android:layout_marginRight="@dimen/dp_16">
            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/img_avator"
                android:layout_width="@dimen/dp_33"
                android:layout_height="@dimen/dp_33"
                tools:background="@mipmap/icon_default_avator"/>

            <LinearLayout
                android:id="@+id/ll_info"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/img_avator"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_family_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    tools:text="张光汐"

                    android:layout_marginLeft="@dimen/dp_14"/>
                <TextView
                    android:id="@+id/tv_relation"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_15"
                    android:textSize="@dimen/sp_9"
                    android:textColor="@color/col_6ea"
                    android:paddingLeft="@dimen/dp_5"
                    android:paddingRight="@dimen/dp_5"
                    android:minWidth="@dimen/dp_27"
                    android:gravity="center"
                    android:background="@drawable/shape_r7_3fe_8f6"
                    tools:text="本人"
                    android:layout_marginLeft="@dimen/dp_5"/>
            </LinearLayout>



            <TextView
                android:id="@+id/tv_power"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="@dimen/sp_12"
                android:textColor="@color/col_02c"
                android:layout_marginLeft="@dimen/dp_14"
                tools:text="98%"
                android:layout_below="@+id/ll_info"
                android:layout_toRightOf="@+id/img_avator"/>


            <TextView
                android:layout_width="@dimen/dp_40"
                android:layout_height="@dimen/dp_20"
                android:text="实时"
                android:textColor="@color/col_02c"
                android:textStyle="bold"
                android:gravity="center"
                android:id="@+id/tv_current_time"
                android:textSize="@dimen/sp_10"
                android:layout_toLeftOf="@+id/tv_watch"
                android:layout_marginRight="@dimen/dp_9"
                android:background="@drawable/shape_r12_stroke_02c"
                />

            <TextView
                android:id="@+id/tv_watch"
                android:layout_width="@dimen/dp_40"
                android:layout_height="@dimen/dp_20"
                android:text="查看"
                android:textColor="@color/col_02c"
                android:textStyle="bold"
                android:textSize="@dimen/sp_10"
                android:gravity="center"
                android:background="@drawable/shape_r12_stroke_02c"
                android:layout_alignParentEnd="true"/>


        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_4"
            android:layout_marginRight="@dimen/dp_4"
            android:layout_marginTop="@dimen/dp_8"
            android:id="@+id/recycler"/>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_44"
            android:layout_marginRight="@dimen/dp_64"
            android:layout_marginLeft="@dimen/dp_64"
            android:text="添加监护人"
            android:textStyle="bold"
            android:textSize="@dimen/sp_16"
            android:gravity="center"
            android:background="@drawable/shape_r25_02c"
            android:layout_marginTop="@dimen/dp_21"
            android:textColor="@color/white"
            android:id="@+id/tv_add_cancel"/>

        <LinearLayout
            android:id="@+id/ll_avatar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:visibility="visible"
            android:layout_marginBottom="@dimen/dp_15"
            android:layout_marginTop="@dimen/dp_13"
            android:orientation="horizontal">
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/user_avatar_recycler"
                android:clickable="true"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
            <TextView
                android:id="@+id/tv_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/col_c7c"
                android:layout_marginLeft="@dimen/dp_7"
                android:textSize="@dimen/sp_13"/>

            <TextView
                android:id="@+id/tv_watch_him"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="查看当前状况"
                android:textSize="@dimen/sp_13"
                android:textColor="@color/col_c7c"
                android:drawableRight="@mipmap/icon_arrow_right"
                android:layout_marginBottom="@dimen/dp_3"
                android:drawablePadding="@dimen/dp_5"/>

        </LinearLayout>

</LinearLayout>